> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/product-model-setup/business-rules/business-rule-details/conditions/condition-details.md).

# Condition details

Conditions must be met for the actions in a business rule to execute.

You can add or update conditions through [Product model setup](/pim3/reference/product-model-setup.md) > [Business rules](/pim3/reference/product-model-setup/business-rules.md) > [Conditions](/pim3/reference/product-model-setup/business-rules/business-rule-details/conditions.md).

| Condition                          | Description                                                                  |
| ---------------------------------- | ---------------------------------------------------------------------------- |
| Has internal id                    | Tests if an entity has a specific internal id.                               |
| Has permission                     | Tests if a user has a specific permission.                                   |
| Is classified in category          | Tests if entity is placed in a specific category.                            |
| Is using product structure         | Tests if entity is using a specific product structure.                       |
| Matches attribute value condition  | Tests if an entity's attribute value matches a certain criteria.             |
| Has enrichment insight value       | Allows testing on entities' enrichment insight status.                       |
| Has archive status                 | Tests if entity has a specific archive status.                               |
| Is in workflow state               | Tests if entity is in a specific workflow state.                             |
| Previous attribute value condition | Tests if an entity's attribute value was changed from a certain value.       |
| Updated attribute value condition  | Tests if an entity's updated attribute value was changed to a certain value. |
| Is in catalogue                    | Tests if category is in a specific catalogue.                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/product-model-setup/business-rules/business-rule-details/conditions/condition-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
